# kicad_sexpr

[![Package Version](https://img.shields.io/hexpm/v/kicad_sexpr)](https://hex.pm/packages/kicad_sexpr)
[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/kicad_sexpr/)

```sh
gleam add kicad_sexpr@1
```
```gleam
import kicad_sexpr
import simplifile

pub fn main() -> Nil {
  let assert Ok(bits) = simplifile.read_bits("/usr/share/kicad/symbols/Analog.kicad_sym")
  let assert Ok(symbol_library) = kicad_sexpr.parse_symbol_library(bits)
  let assert [symbol, ..] = symbol_library.symbols
  io.println(symbol.library_unit_id)
}
```

Further documentation can be found at <https://hexdocs.pm/kicad_sexpr>.

## Development

```sh
gleam run   # Run the project
gleam test  # Run the tests
```
